/*******************************************************************************
 * FoxAIAction_FireWeapon generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIAction_FireWeapon extends FoxAIAction
    native(AI)
    editinlinenew
    hidecategories(Object);

enum EFireMode
{
    EFM_Bullet,
    EFM_Reload,
    EFM_Alt,
    EFM_MAX
};

var() export editinline array<export editinline FoxAICondition> SuppressionConditions;
var() private bool bFireImmediately;
var() private bool bStopFiringIfSuppressed;
var() private bool bStopFiringIfNotAimedAtEnemy;
var() private bool bShouldTightAim;
var() private bool bRequireTarget;
var private transient bool bFiring;
var private transient bool bInitialAimedAtEnemy;
var() private float BurstMin;
var() private float BurstMax;
var() private float BurstPauseMin;
var() private float BurstPauseMax;
var() private float SuppressReactionTimeMin;
var() private float SuppressReactionTimeMax;
var() private float BlindFireChance;
var() private float PopUpChance;
var() private float EnemyNotVisibleAbortTime;
var() private FoxAIAction_FireWeapon.EFireMode FireMode;
var private transient float FireTime;
var private transient float SuppressTime;

// Export UFoxAIAction_FireWeapon::execInitialize(FFrame&, void* const)
native function bool Initialize();

// Export UFoxAIAction_FireWeapon::execTick(FFrame&, void* const)
native function Tick(float DeltaTime);

// Export UFoxAIAction_FireWeapon::execCleanup(FFrame&, void* const)
native function Cleanup();

// Export UFoxAIAction_FireWeapon::execIsSuppressed(FFrame&, void* const)
native function bool IsSuppressed();

// Export UFoxAIAction_FireWeapon::execFireTimeFinished(FFrame&, void* const)
private native final function FireTimeFinished();

// Export UFoxAIAction_FireWeapon::execSuppressTimeFinished(FFrame&, void* const)
private native final function SuppressTimeFinished();

// Export UFoxAIAction_FireWeapon::execStopAIFiring(FFrame&, void* const)
private native final function StopAIFiring();

defaultproperties
{
    SuppressionConditions(0)=FoxAICondition_EnemyFire'Default__FoxAIAction_FireWeapon.EnemyFiringWeapon'
    begin object name=NearMiss class=FoxAICondition_FiredAt
        NearMissTime=2.0
    object end
    // Reference: FoxAICondition_FiredAt'Default__FoxAIAction_FireWeapon.NearMiss'
    SuppressionConditions(1)=NearMiss
    bFireImmediately=true
    bStopFiringIfNotAimedAtEnemy=true
    bRequireTarget=true
    BurstMin=0.80
    BurstMax=4.0
    BurstPauseMin=0.50
    BurstPauseMax=2.0
    SuppressReactionTimeMin=0.50
    SuppressReactionTimeMax=1.50
    BlindFireChance=0.70
    PopUpChance=0.20
    EnemyNotVisibleAbortTime=0.20
    PreCondition=FoxAICondition_EnemySeen'Default__FoxAIAction_FireWeapon.ES'
    StateString="Fire Weapon"
}